﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Modèle
{
    /// <summary>
    ///  Type énuméré qui contient tous les status de conservation des espèces animales.
    /// </summary>

    [DataContract]
    public enum Conservation
    {
        /// <summary>
        /// Extinct
        /// </summary>
        [EnumMember]
        EX,
        /// <summary>
        /// Extinct in the Wild
        /// </summary>
        [EnumMember]
        EW,
        /// <summary>
        /// Critically Endangered
        /// </summary>
        [EnumMember]
        CR,
        /// <summary>
        /// Endangered
        /// </summary>
        [EnumMember]
        EN,
        /// <summary>
        /// Vulnerable
        /// </summary>
       [EnumMember]
        VU,
       /// <summary>
       /// Near Threatened
       /// </summary>
        [EnumMember]
        NT,
        /// <summary>
        /// Least Concern
        /// </summary>
        [EnumMember]
        LC,
        /// <summary>
        /// Data Deficient
        /// </summary>
        [EnumMember]
        DD,
        /// <summary>
        /// Not Evaluated
        /// </summary>
        [EnumMember]
        NE
    }

    
}
