﻿using Modèle;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Persistance
{
    /// <summary>
    /// Classe DataToPersistUsers 
    /// </summary>
    [DataContract]
    class DataToPersistUsers
    {
        /// <summary>
        /// List d'Utilisateur pour les utilisateurs de l'application
        /// </summary>
        [DataMember]
        public List<Utilisateur> Users { get; set; } = new List<Utilisateur>();
        /// <summary>
        /// List d'Expert pour les experts de l'application
        /// </summary>
        [DataMember]
        public List<Expert> Experts { get; set; } = new List<Expert>();
    }
}
